INTERFACE
SUBROUTINE RADLSW&
 & ( KIDIA, KFDIA, KLON, KLEV, KMODE, KAER,&
 & PRII0,&
 & PAER , PALBD , PALBP, PAPH , PAP,&
 & PCCNL, PCCNO,&
 & PCCO2, PCLFR , PDP , PEMIS, PEMIW , PLSM , PMU0, POZON,&
 & PQ , PQIWP , PQLWP, PQS ,&
 & PTH , PT , PTS , PNBAS, PNTOP,&
 & PEMIT, PFCT , PFLT , PFCS , PFLS,&
 & PFRSOD,PSUDU , PUVDF, PPARF, PPARCF, PTINCF,&
 & PSFSWDIR, PSFSWDIF,PFSDNN,PFSDNV,&
 & LDDUST,PPIZA_DST,PCGA_DST,PTAUREL_DST) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOERAD , ONLY : NSW ,LRRTM ,LCCNL ,LCCNO, LDIFFC,&
 & NRADIP , NRADLP , NICEOPT, NLIQOPT, NINHOM ,NLAYINH ,&
 & RCCNLND, RCCNSEA, RLWINHF, RSWINHF, RRe2De ,&
 & LEDBUG 
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KMODE
INTEGER(KIND=JPIM),INTENT(IN) :: KAER
REAL(KIND=JPRB) ,INTENT(IN) :: PRII0
REAL(KIND=JPRB) ,INTENT(IN) :: PAER(KLON,6,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PALBD(KLON,NSW)
REAL(KIND=JPRB) ,INTENT(IN) :: PALBP(KLON,NSW)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCCNL(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCCNO(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCCO2
REAL(KIND=JPRB) ,INTENT(IN) :: PCLFR(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIW(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PLSM(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PMU0(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: POZON(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQIWP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQLWP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQS(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PNBAS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PNTOP(KLON)
LOGICAL ,INTENT(IN) :: LDDUST
REAL(KIND=JPRB) ,INTENT(IN) :: PPIZA_DST(KLON,KLEV,NSW)
REAL(KIND=JPRB) ,INTENT(IN) :: PCGA_DST(KLON,KLEV,NSW)
REAL(KIND=JPRB) ,INTENT(IN) :: PTAUREL_DST(KLON,KLEV,NSW)
REAL(KIND=JPRB) ,INTENT(OUT) :: PEMIT(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCT(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFLT(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCS(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFLS(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRSOD(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSUDU(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUVDF(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PPARF(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PPARCF(KLON), PTINCF(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSFSWDIR(KLON,NSW)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSFSWDIF(KLON,NSW)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFSDNN(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFSDNV(KLON)
END SUBROUTINE RADLSW
END INTERFACE
